Subject: Re: [PATCH 6/8] tcp: Add GRO support

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 13 Dec 2008 06:10:19 +0300

On Sat, Dec 13, 2008 at 01:46:45PM +1100, Herbert Xu ([email-masked]) wrote:
> On Sat, Dec 13, 2008 at 05:40:46AM +0300, Evgeniy Polyakov wrote:
> >
> > So it will fail if timestamp changed? Or if some new option added?
> 
> Correct, it must remain exactly the same.  Even at 100Mbps any
> sane clock frequency will result in an average of 8 packets per
> clock update.  At the sort speeds (>1Gbps) at which we're targetting
> this'll easily get us to 64K which is our maximum (actually it
> looks like I forgot to add a check to stop this from growing beyond
> 64K :)

Some stacks use just increased counter since it is allowed by the RFC :)
Probably 'not sane' is appropriate name, but still... Probably not a
serious problem, but what if just check the timestamp option before/after
like it was in LRO?

-- 
	Evgeniy Polyakov